#! /bin/sh
usage="Usage: ./install.sh <installpath for executable>"
user=`whoami`
arg=$1
installpath=$HOME/.borgclient/files

if test "_$user" != "_root"; then
	if test $# -eq 0; then
		arg=/usr/local/bin	
	elif test $# -gt 1; then
		echo $usage
		exit 1
	fi

	echo "Trying to create directory $installpath"
	install -d $installpath 2>/dev/null
	if test -w $installpath -a -d $installpath; then
		echo "Installing files:"
		install -p -v -m 644 files/* $installpath/
	else
		echo "Error: Could not copy files to $installpath"
		exit 1
	fi

	install -d $arg 2>/dev/null
	echo "Trying to create directory $arg"
	if test ! -d $arg; then
		echo "Error: $arg is no directory!"
		exit 1
	elif test -w $arg -a -d $arg; then
		echo "Installing borgclient binary"
		install -v -m 755 -s borgclient $arg/
	else
		echo "You need to be root to install borgclient!"
		su -c "$0 $arg $user"
	fi

else
	if test $# -ne 2; then
		echo "Error: Please start the script as user!"
		echo $usage
		exit 1
	fi

	echo "Trying to create directory $arg"
	install -d $arg 2>/dev/null
	if test ! -d $arg; then
		echo "Error: $arg is no directory!"
	else
		echo "Installing borgclient binary"
		install -v -m 755 -s borgclient $arg/
	fi
fi

